Обновление 3.10

Материал из WiKi - UserSide
Перейти к: навигация, поиск

Дата обновления: январь 2017

Требуется версия: 3.9

Несколько слов от автора - особенности версии

  • У нас появился новый модуль usm_cabletest
  • Добавлен функционал учёта и работы с CWDM
  • Структура архива обновлений и сам процесс обновлений изменились. Мы начинаем постепенный переход на PostgreSQL. Почитайте рекомендации ниже, чтобы корректно выполнить обновление
  • После обновления на главной странице системы могут появиться уведомления о несовпадении IP-адреса сервера или о том, что DocumentRoot неправильно указан. В этих случаях - проверьте правильность указания DocumentRoot и в файловом архиве измените IP-адрес сервера на нужный

Особенности в проведении обновления

  • Необходимо обновить PHP до последней версии ветки 5.6 (PHP7 пока ставить не нужно) и все расширения РНР.
  • Необходимо доустановить отсутствующие php-расширения, что перечислены на странице Технические требования
  • Требуется установить и настроить PostgreSQL 9.6 (наименование базы данных, имя пользователя и пароль Вам понадобятся при инсталляции USERSIDE далее)
  • По рекомендациям со страницы Обновление начните процесс обновления и дойдите до момента, когда будет требоваться нажать на ссылку "Обновить"
  • Извлеките и скопируйте файлы из архива userside-update-3-10.zip в рабочую систему.

При этом - ранее структура каталогов была следующей

userside
/..
/erp/
/userside3/

А теперь добавятся новые каталоги

userside
/..
/common/
/console/
/erp/
/messages/
/userside3/
/vendor/
  • По рекомендациям со страницы Обновление проведите дальнейшие основные действия по обновлению.
  • Находясь в каталоге с приложением (например: /var/www/userside) выполните "php setup" и ответьте на вопросы программы установки. После проверки наличия всех необходимых расширений РНР, Вам будет предложено указать информацию для подключения к базе данных (PostgreSQL), которую Вы создали несколькими шагами ранее. Если В ходе работы программы установки возникнут проблемы, например с отсутствующими расширениями РНР, работа программы будет прервана. В таком случае Вам необходимо сперва установить все необходимые расширения и только затем продолжить обновление.
  • Добавьте в системный cron вызов дополнительного скрипта внутреннего планировщика UserSide (исправьте путь на необходимый и имя пользователя на то, от имени которого работает web-сервер)
 * * * * *   www-data   php /var/www/userside/userside cron > /dev/null 2>&1
  • Очень важно! Для пользователей SMS-оператора TurboSMS. Вам необходимо войти в личный кабинет TurboSMS и включить функцию отправки по протоколу SOAP. По-умолчанию она может быть отключена.
  • После обновления - на странице "Настройка - SMS-настройка" - проверьте правильность введения настроек для соединения с SMS-оператором и выполните тест соединения
  • Если у Вас использовался собственный скрипт для отправки SMS - то требуется его переделать в соответствии с рекомендациями
  • Модуль usm_asterisk обновился с версии 0.1x до версии 1.0. В архиве с новым модулем содержатся инструкции с действиями по обновлению. Выполните их, пожалуйста.
  • Можете себе включить отдельный Google API Key

Список изменений: просмотреть

Проведение обновления: инструкция